| Kea 3.0.2-git

lease_query_listener.h File Reference
`#include <config.h>`
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/io_service.h>`
`#include <dhcp/pkt.h>`
`#include <tcp/tcp_listener.h>`
`#include <tcp/tcp_connection.h>`
`#include <lease_query_connection.h>`
Include dependency graph for lease_query_listener.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::lease_query::LeaseQueryListener
| Derivation of TcpListener specific to Bulk Lease Query. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::lease_query

## Typedefs
typedef boost::shared_ptr< LeaseQueryListener > | isc::lease_query::LeaseQueryListenerPtr
| Defines a pointer to a LeaseQueryListener.